# DrudeSCFIntegrator Class Reference

This is a leap-frog Verlet Integrator that simulates systems with Drude particles. More...

Inheritance diagram for DrudeSCFIntegrator:

List of all members.

## Public Member Functions
def | getMinimizationErrorTolerance
| getMinimizationErrorTolerance(DrudeSCFIntegrator self) -> double
def | setMinimizationErrorTolerance
| setMinimizationErrorTolerance(DrudeSCFIntegrator self, double tol)
def | step
| step(DrudeSCFIntegrator self, int steps)
def | __init__
| __init__(OpenMM.DrudeSCFIntegrator self, double stepSize) -> DrudeSCFIntegrator __init__(OpenMM.DrudeSCFIntegrator self, DrudeSCFIntegrator other) -> DrudeSCFIntegrator
def | __del__
| __del__(OpenMM.DrudeSCFIntegrator self)
## Public Attributes
| this

## Detailed Description

This is a leap-frog Verlet Integrator that simulates systems with Drude particles.

It uses the self-consistent field (SCF) method: at every time step, the positions of Drude particles are adjusted to minimize the potential energy.

This Integrator requires the System to include a DrudeForce, which it uses to identify the Drude particles.

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(OpenMM.DrudeSCFIntegrator self)

Reimplemented from Integrator.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(OpenMM.DrudeSCFIntegrator self, double stepSize) -> DrudeSCFIntegrator __init__(OpenMM.DrudeSCFIntegrator self, DrudeSCFIntegrator other) -> DrudeSCFIntegrator

Create a DrudeSCFIntegrator.

Parameters:

  | stepSize | the step size with which to integrator the system (in picoseconds)

def getMinimizationErrorTolerance | ( |  | self | ) |

getMinimizationErrorTolerance(DrudeSCFIntegrator self) -> double

Get the error tolerance to use when minimizing the potential energy. This roughly corresponds to the maximum allowed force magnitude on the Drude particles after minimization.

def setMinimizationErrorTolerance | ( |  | self,
|  |  | args |
| ) |  |  |

setMinimizationErrorTolerance(DrudeSCFIntegrator self, double tol)

Set the error tolerance to use when minimizing the potential energy. This roughly corresponds to the maximum allowed force magnitude on the Drude particles after minimization.

Parameters:

  | tol | the error tolerance to use, measured in kJ/mol/nm

def step | ( |  | self,
|  |  | args |
| ) |  |  |

step(DrudeSCFIntegrator self, int steps)

Advance a simulation through time by taking a series of time steps.

Parameters:

  | steps | the number of time steps to take

Reimplemented from Integrator.

## Member Data Documentation

this

Reimplemented from Integrator.

The documentation for this class was generated from the following file:

- openmm.py